# Transaction query

> Query Transaction Status

`POST https://api.paybeta.ng/v2/transaction/query`

Authentication: `P-API-KEY` header.

Using a POST method, transaction status can be queried with the endpoint below passing the reference you generated for the payment:

| **Field** | **Mandatory/Optional** | **Description** |
| --- | --- | --- |
| code | O | This is usually returned as response and can also confirmes the final status of a transaction. ```00 = successful,  01 = pending, 02 = failed, 99 = Not found or invalid reference ```|
| status | O | This is returned as response and tells the final status of the transaction. |
| reference | M | This is the reference with which you sent when purchasing a transaction after the transaction has been processed. |

**Note**: Please allow for 2 minutes before requerying a pending transaction.

## Request: Request body

```json
{
  "reference": "1746988617"
}
```

## Response 200: Success

```json
{
  "status": "successful",
  "message": "Your glo airtime payment is successful",
  "code": "00",
  "data": {
    "paymentStatus": "Delivered",
    "reference": "1746988617",
    "amount": 100,
    "amountPaid": 96,
    "product": "GLO AIRTIME",
    "customerId": "09052216560",
    "token": "0",
    "unit": "0",
    "transactionId": "API-174698861781391390",
    "transactionDate": "2025-05-11T18:37:01.000000Z"
  }
}
```
